//**********************************************************************************
//                                                                                  
//        _   _       _        ___  ___      _        ___  ___          _             
//       | | | |     | |       |  \/  |     | |       |  \/  |         | |            
//       | |_| | ___ | |_   _  | .  . | ___ | |_   _  | .  . | ___   __| |___       
//       |  _  |/ _ \| | | | | | |\/| |/ _ \| | | | | | |\/| |/ _ \ / _` / __|      
//       | | | | (_) | | |_| | | |  | | (_) | | |_| | | |  | | (_) | (_| \__ \      
//       \_| |_/\___/|_|\__, | \_|  |_/\___/|_|\__, | \_|  |_/\___/ \__,_|___/      
//                       __/ |                  __/ |                               
//                      |___/                  |___/                                
//                                                                                  
//                       Website: http://www.holymolymods.com                       
//*********************************************************************************

//******************************************************************************
// GAMETYPE DESCRIPTION
//******************************************************************************
// In Search and Rescue there two teams. Attackers and defenders.
//
// Attackers need to plant a bomb at the other team's bombsites and defend it so it's
// not defused by the defenders.
//
// Defenders need to defend their bombsites to prevent the attackers from planting 
// the bomb and defuse it in case they do accomplish to plant it.
//
// This is an elimination gametype and dogtags will drop from fallen players. Eliminate enemy
// players by picking up enemy tags and revive friendlies by picking up friendly tags.
// You can also win the round by successfully eliminating the other team.

//******************************************************************************
// SEARCH AND RESCUE SETTINGS
// ALL VARIABLES WORK IN RANKED AND UNRANKED MODES
//******************************************************************************
// PLEASE REMEMBER TO UNCOMMENT THE LINES BY REMOVING THE DOUBLE SLASHES (//)
// WHEN CHANGING A VALUE. PLEASE DO NOT UNCOMMENT LINES SET TO DEFAULT VALUES.
//******************************************************************************

// Gametype mode. In mode 0, once the bomb is planted in one location the other
// location will disappear so the defending team will know in which bombsite the
// bomb has been planted. In mode 1, the other location will not disappear but it
// will just be  deactivated so the defending team won't really know in which 
// bombsite the attacker has planted the bomb.
set scr_sr_sdmode "1"

// Control which bombsites will be enable
// 0 = Spawn both bombsites (default)
// 1 = Randomly spawn one bombsite or both.
// 2 = Randomly spawn one bombsite.
// 3 = Spawn only bombsite A.
// 4 = Spawn only bombsite B. 
set scr_sr_bombsites_enabled "0"

// Show both bomb sites to the defenders even when one of them is disabled
// 0 = Disabled (default), 1 = Enabled
set scr_sr_defenders_show_both "1"

// Let teams know when the bomb has been planted
// 0 = Disabled, 1 = Enabled (default)
set scr_sr_bomb_notification_enable "1"

// Time it will take the bomb to go off once planted
// Values: Between 1 and 300.
set scr_sr_bombtimer "50"

// Modifier to the bomb time so the time the bomb will take to go off is variable.
// scr_sr_bombtimer will become any value between scr_sr_bombtimer - scr_sr_bombtimer_modifier 
// and scr_sr_bombtimer + scr_sr_bombtimer_modifier
// Values: Between 0 (default) and scr_sr_bombtimer - 5
set scr_sr_bombtimer_modifier "0"

// Show the bombtimer to the players in non-hardcore mode
// 0 = Disabled, 1 = Enabled (default)
set scr_sr_bombtimer_show "1"

// Time it will take a player to defuse the bomb once planted
// Values: Between 0 and 20.
set scr_sr_defusetime "7"

// Play a sound when the bomb is being defused
// 0 = Disabled, 1 = Enabled (default)
set scr_sr_defusing_sound "1"

// Give a bomb to every single player instead of being only one bomb for the entire team.
// 0 = Disabled (default), 1 = Enabled
set scr_sr_multibomb "0"

// Play a sound when the bomb is being planted
// 0 = Disabled, 1 = Enabled (default)
set scr_sr_planting_sound "1"

// Time it will take a player to plant the bomb
// Values: Between 0 and 20.
set scr_sr_planttime "7"

// Number of total rounds that will be played
set scr_sr_roundlimit "20"

// Number of rounds to play before switching sides
set scr_sr_roundswitch "21"

// Show a bomb icon next to the player that is currently carrying the bomb
// 0 = Disabled (default), 1 = Enabled
set scr_sr_scoreboard_bomb_carrier "0"

// Score limit to win the match
// When the score limit is set to 0 the game will be played based on the round limit
set scr_sr_scorelimit "10"

// Show the bomb briefcase model on the player's hands when planting/defusing the bomb
// 0 = Disabled, 1 = Enabled (default)
set scr_sr_show_briefcase "1"

// Time limit for each round. Round will finish once the team limit is reached.
set scr_sr_timelimit "5"

// Controls the ability for the defender to pick up the attackers explosives
// 0 = Disabled (default), 1 = Enabled
set scr_sr_allow_defender_explosivepickup "0"
  
// Controls the ability for the defender to destroy the attackers explosives
// 0 = Disabled (default), 1 = Enabled
set scr_sr_allow_defender_explosivedestroy "0"
  
// Sets the amount of time (in seconds) it takes for a defender to destroy the attackers explosives
// Allowed values: 1-60 (default is 10)
set scr_sr_allow_defender_explosivedestroy_time "0"

// Enables or disables the option for the defending team to win the round if
// the defender destroys the attackers bomb. If enabled defenders win. If disabled
// attackers can't plant but the round continues until time expires or a side is eliminated.
// 0 = Disabled (default), 1 = Enabled
set scr_sr_allow_defender_explosivedestroy_win "0"
  
// Enables or disables the warning sound to the attacking team when a defender begins to destroy the explosives
// 0 = Disabled (default), 1 = Enabled
set scr_sr_allow_defender_explosivedestroy_sound "0"
  
// Allows a defender when defusing to select from a selection of colored wires
// in hopes of defusing the bomb quicker, however, if he is wrong the bomb will blow.
// 0 = Disabled (default), 1 = Enabled
set scr_sr_allow_quickdefuse "1"

// Objectives can be destroyed by defenders using explosives
// If objective is destroyed the attackers win.
// 0 = Disabled (default), 1 = Enabled
set scr_sr_objective_takedamage_enable "0"
  
// Select whether the objective damage checker is done by damage received or counter-based
// In counter mode, every time damage is detected the counter subtracts a point.
// If the counter reaches zero, then the objective will blow.
// In damage received mode, the amount of damage done on the objective will be subtracted
// from the objectives health. If the health reaches zero, the objective will blow.
// 0 = Counter (default), 1 = Damage
set scr_sr_objective_takedamage_option "0"
  
// Sets the health of the objective based on a counter. Used in counter mode.
// Allowed values: 1-20 (default is 5)
set scr_sr_objective_takedamage_counter "5"
  
// Sets the health of the objective for damage received mode.
// Allowed values: 1-2000 (default is 500)
set scr_sr_objective_takedamage_health "500"

// Wait until the end of the round to perform a team-balance
// 0 = Disabled (default), 1 = Enabled
set scr_sr_teambalanceendofround "0"


//**********************************************************************
// DOGTAG SETTINGS
//**********************************************************************

// Amount of time before Dog Tags are removed from the field
// 0 = Disabled, 1-60 Seconds, 15 = (default)
set scr_sr_dogtag_autoremoval_time "0"

// Control which type of obituaries should be shown to all the players in the server
// 0 = Disabled, 1 = Enabled, 2 = Show only TKs (default)
set scr_show_obituaries_sr "2"
	

// *****************************************************
// Scoring
//******************************************************

// Score amount for Confirmed kills
// 0-500 points, 10 = Default
// set scr_sr_enemy_dogtag_score "20"

// Score amount for Denied kills
// 0-500 points, 5 = Default
// set scr_sr_team_dogtag_score "5"

// Score for retrieving dogtags from your own enemy kills
// 0-500 points, 5 = Default
// set scr_sr_dogtag_attacker_owner_score "20"

// Team kill Points for Player Only
// 0-50 negative points
set scr_score_player_teamkill_sr "-5"

//******************************************************
//******************************************************

// Obit Messages, lower left hand corner 
// 0 = Disabled, 1 = Enabled (default)
// set scr_sr_dogtag_obits "0"

// Denied Sound on Player
// 0 = Disabled( default),  1 = Enabled
// If enabled, "DENIED" will be played on the player that denies the kill
// set scr_sr_denied_player_sound "1"

// Denied Sound on Team
// 0 = Disabled,  1 = Enabled (default)
// If enabled, the entire Team will hear "DENIED" when OPPOSING player denies their kill
// set scr_sr_denied_team_sound "0"

// Allow the announcer to speak during the game
// 0 = Disabled, 1 = Enabled
set scr_allow_leader_dialog_sr "1"

// Show the minimap to be shown in hardcore mode (HARDCORE)
// 0 = Disabled (default), 1 = Enabled
// set scr_hardcore_show_minimap_sr "1"

// Forces the compass (showing the North, South, West, East coordinates) in hardcore mode (HARDCORE).
// 0 = Disabled (default), 1 = Enabled
// set scr_hardcore_show_compass_sr "1"

// Shows enemies in the minimap when firing a non-silenced weapon
// 0 = Disabled (default for hardcore mode), 1 = Enabled (default for non-hardcore mode)
// set scr_minimap_show_enemies_firing_sr "0"

// Show friendly dogtags on minimap if enabled
// 0 = Disabled,  1 = Enabled (default)
// set scr_sr_show_dogtags_minimap "0"

// Show the dogtags in the compass if enabled
// 0 = Disabled (default globally), 1 = Enabled (only for sr gametype)
// set scr_hud_compass_objectives_sr "0"

// Show dogtag exploding fx on timed out tags
// 0 = Disabled,  1 = Enabled (default)
// set scr_sr_dogtags_explode_fx "0"

// Percentage chance for respawn on timed out tags
// 0 = Disabled, 1 - 100 = Enabled, default = 75%
set scr_sr_random_second_chance "0"

// Revival time in seconds
// Min = 2, Max = 10, default = 2
set scr_sr_revive_time "2"
